Package org.opensaml.saml.saml2.metadata.impl

# Class OrganizationImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.metadata.impl.OrganizationImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `Organization`

public class OrganizationImpl extends AbstractXMLObject implements Organization
Concrete implementation of `Organization`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<OrganizationDisplayName>`
`displayNames`
OrganizationDisplayName children.
`private Extensions`
`extensions`
element extensions.
`private final XMLObjectChildrenList<OrganizationName>`
`names`
OrganizationName children.
`private final AttributeMap`
`unknownAttributes`
"anyAttribute" attributes.
`private final XMLObjectChildrenList<OrganizationURL>`
`urls`
OrganizationURL children.

### Fields inherited from interface org.opensaml.saml.saml2.metadata.Organization

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OrganizationImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<OrganizationDisplayName>`
`getDisplayNames()`
Gets a list of display names for this organization.
`Extensions`
`getExtensions()`
Gets the Extensions child of this object.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<OrganizationName>`
`getOrganizationNames()`
Gets a list of names for this organization.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`List<OrganizationURL>`
`getURLs()`
Gets a list of URLs for this organization.
`void`
`setExtensions(Extensions newExtensions)`
Sets the Extensions child of this object.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### extensions

@Nullable private Extensions extensions
element extensions.

### names

@Nonnull private final XMLObjectChildrenList<OrganizationName> names
OrganizationName children.

### displayNames

@Nonnull private final XMLObjectChildrenList<OrganizationDisplayName> displayNames
OrganizationDisplayName children.

### urls

@Nonnull private final XMLObjectChildrenList<OrganizationURL> urls
OrganizationURL children.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
"anyAttribute" attributes.

## Constructor Details

### OrganizationImpl

protected OrganizationImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getExtensions

@Nullable public Extensions getExtensions()
Gets the Extensions child of this object.

Specified by:
  `getExtensions` in interface `Organization`
Returns:
  the Extensions child of this object

### setExtensions

public void setExtensions(@Nullable Extensions newExtensions)
Sets the Extensions child of this object.

Specified by:
  `setExtensions` in interface `Organization`
Parameters:
  `newExtensions` - the Extensions child of this object

### getOrganizationNames

@Nonnull @Live public List<OrganizationName> getOrganizationNames()
Gets a list of names for this organization.

Specified by:
  `getOrganizationNames` in interface `Organization`
Returns:
  list of names for this organization

### getDisplayNames

@Nonnull @Live public List<OrganizationDisplayName> getDisplayNames()
Gets a list of display names for this organization.

Specified by:
  `getDisplayNames` in interface `Organization`
Returns:
  list of display names for this organization

### getURLs

@Nonnull @Live public List<OrganizationURL> getURLs()
Gets a list of URLs for this organization.

Specified by:
  `getURLs` in interface `Organization`
Returns:
  list of URLs for this organization

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements